package gov.va.vss.persistence.impl;

import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import gov.va.vss.AbstractTransactionalWebDAOTest;
import gov.va.vss.model.donation.DonationDetail;
import gov.va.vss.persistence.dao.CustomizableAppDAO;
import gov.va.vss.persistence.dao.DonationDetailDAO;

public class TestDonationDetailDAOImpl extends AbstractTransactionalWebDAOTest<DonationDetail> {

	@Autowired
	private DonationDetailDAO donationDetailDAO;

	@Override
	protected CustomizableAppDAO<DonationDetail> getDAO() {
		return donationDetailDAO;
	}

	@Override
	protected DonationDetail getInstanceToSave() {
		return null;
	}

	@Test
	public void testFindByCriteria() {
		donationDetailDAO.findByDonationSummaryId(18, true);
		// Assert.assertFalse("Failed - didn't return any results",
		// donDetailList != null);

	}

	@Override
	protected boolean testDelete() {
		return true;
	}

}
